# Digital Natives Base ESLint and Prettier Config

## Usage

1. Install the dependencies with

```bash
npx install-peerdeps --dev @digital-natives/eslint-config-digitalnatives-typescript-base
```

If you use yarn, run

```bash
npm info @digital-natives/eslint-config-digitalnatives-typescript-base@latest peerDependencies
```

then run `yarn add --dev <dependency>@<version>` for each listed peer dependency.

2. Create a `.eslintrc` file in the root directory and add

```json
{
  "extends": "@digital-natives/digitalnatives-typescript-base"
}
```

Add these scripts in the `package.json` file

```json
"scripts": {
    "lint": "eslint . --ext .js,.ts",
    "lint:fix": "eslint --fix . --ext .js,.ts"
},
```

## VSCode configuration

1.  Install [ESLint package](https://marketplace.visualstudio.com/items?itemName=dbaeumer.vscode-eslint)
2.  Add these to your VSCode settings file

```json
 "editor.formatOnSave": true,
 "[javascript]": {
   "editor.formatOnSave": false
 },
 "[typescript]": {
   "editor.formatOnSave": false
 },
 "editor.codeActionsOnSave": {
   "source.fixAll": true
 },
 "prettier.disableLanguages": [
    "javascript",
    "typescript",
  ],
```
